Last Comment Bug 743844 - webrtc/signaling code crashes when multiple instances are running.
: webrtc/signaling code crashes when multiple instances are running.
Status: RESOLVED FIXED
[WebRTC], [blocking-webrtc+] [qa-]
: crash
Product: Core
Classification: Components
Component: WebRTC: Signaling (show other bugs)
: Trunk
: x86_64 Linux
: -- critical (vote)
: mozilla18
Assigned To: Ethan Hugg [:ehugg]
: Jason Smith [:jsmith]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 15:28 PDT by Ethan Hugg [:ehugg]
Modified: 2012-11-13 09:21 PST (History)
4 users (show)
jsmith: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Fix to enable timers to work for more than instance on Linux/Mac (6.93 KB, text/plain)
2012-04-09 16:46 PDT, Ethan Hugg [:ehugg]
rjesup: feedback+
ethanhugg: feedback+
Details

Description Ethan Hugg [:ehugg] 2012-04-09 15:28:10 PDT
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Build ID: 20120310010316

Steps to reproduce:

All instances of SIPCC use the same names in the timer code - /tmp/CprTmrClient and /tmp/CprTmrServer.  This causes problems when multiple instances are running.
Comment 1 Ethan Hugg [:ehugg] 2012-04-09 16:46:00 PDT
Created attachment 613431 [details]
Fix to enable timers to work for more than instance on Linux/Mac
Comment 2 Ethan Hugg [:ehugg] 2012-04-09 16:48:22 PDT
Comment on attachment 613431 [details]
Fix to enable timers to work for more than instance on Linux/Mac

Same fix for Linux/Mac adding PID to name.
Comment 3 Randell Jesup [:jesup] 2012-04-09 18:29:54 PDT
Comment on attachment 613431 [details]
Fix to enable timers to work for more than instance on Linux/Mac

Since I wrote the code, I'm more than willing to + it!  :-)
Comment 4 Ethan Hugg [:ehugg] 2012-04-10 15:36:46 PDT
Comment on attachment 613431 [details]
Fix to enable timers to work for more than instance on Linux/Mac

Would still like to find a way to move away from this CPR code.
Comment 5 Randell Jesup [:jesup] 2012-08-28 11:09:37 PDT
Linux was fixed in bug 745349 (along with a bunch of others)

darwin timers weren't hit in that bug, so this needs to be landed on that file (and try to make it match the code in the linux patch already landed)
Comment 6 Ethan Hugg [:ehugg] 2012-10-15 15:08:03 PDT
Comment on attachment 613431 [details]
Fix to enable timers to work for more than instance on Linux/Mac


This was pushed to Alder before the big rollup-review (bug 792188).

Related follow-on bug is here https://bugzilla.mozilla.org/show_bug.cgi?id=794240

Note You need to log in before you can comment on or make changes to this bug.